Package org.pentaho.reporting.libraries.resourceloader.cache

## Interface ResourceFactoryCache

- All Known Implementing Classes:
    `EHResourceFactoryCache`, `NullResourceFactoryCache`

      public interface ResourceFactoryCache

  Creation-Date: 06.04.2006, 10:10:18
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `Resource` | `get​(ResourceKey key, java.lang.Class[] target)` |
    `void` | `put​(Resource resource)` |
    `void` | `remove​(Resource resource)` |
    `void` | `shutdown()` |

- - ### Method Detail

    - #### get

          Resource get​(ResourceKey key,
                       java.lang.Class[] target)

    - #### put

          void put​(Resource resource)

    - #### remove

          void remove​(Resource resource)

    - #### clear

          void clear()

    - #### shutdown

          void shutdown()